﻿@page "/grouphub2"

@using AntDesign
@using System.ComponentModel
@using System.Text;
@using System.Net;
@using FIOWeb.Models
@using FIOWeb.JsonPayloads
@using Newtonsoft.Json
@using CurrieTechnologies.Razor.Clipboard

@inject ClipboardService Clipboard
@inject IMatToaster Toaster
@inject NavigationManager NavManager
@inject GlobalAppState GlobalAppState

@implements IDisposable

<FIOWeb.Components.MapComponent @ref="MapComponent" OnFinishedLoading="@(() => OnFinishedLoading())"/>
	<FIOWeb.Components.LoadingWrapper RequiresAuth="true" TotalProgress="1">

	</FIOWeb.Components.LoadingWrapper>